Bug 170620 - pam_stack is deprecated
pam_stack is deprecated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-cluster (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
bzcl34nup
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2005-10-13 09:38 EDT by Tomas Mraz
Modified: 2009-02-28 12:00 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-cluster-1.0.53-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 12:00:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
system-config-cluster.pam (97 bytes, text/plain)
2005-10-13 09:38 EDT, Tomas Mraz
no flags Details

  None (edit)
Description Tomas Mraz 2005-10-13 09:38:49 EDT
pam_stack is deprecated as it won't be accepted upstream and there is a
replacement for its functionality.

Also there is a new common pam configuration file for all config utilities
(system-config-*).

Please use the attached pam configuration files for system-config-boot.
Comment 1 Tomas Mraz 2005-10-13 09:38:49 EDT
Created attachment 119902 [details]
system-config-cluster.pam
Comment 2 Bug Zapper 2008-04-03 12:31:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Tomas Mraz 2008-04-04 05:35:34 EDT
This still applies. Does anyone actually use this package through
consolehelper?? pam_stack is no longer in Fedora for a few releases...
Comment 4 Bug Zapper 2008-05-13 22:02:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Milos Jakubicek 2008-06-08 15:59:32 EDT
Ping?

All what here needs to be done to fix this issue is to use the PAM configuration
provided by Tomas Mraz, rebuild the package and release the update = ~ 15
minutes work.

Could somebody do it please? If the cvsextras group wouldn't be excluded from
committing I'd fix it instead of complaining here, but as this is not the case,
I can just do this and hope that after almost 3 years somebody will spend the
time to do that.

Thanks in advance.
Comment 6 Milos Jakubicek 2009-02-28 12:00:04 EST
Fixed by myself...

Note You need to log in before you can comment on or make changes to this bug.